Module: selenium-webdriver/http
View Source

# class HttpClient

All implemented interfaces:
  `webdriver.http.Client`

A `webdriver.http.Client` implementation using Node's built-in http module.

## new HttpClient(serverUrl, opt_agent)

Parameters

serverUrl`string`

  URL for the WebDriver server to send commands to.

opt_agent`?http.Agent=`

  The agent to use for each request. Defaults to `http.globalAgent`.

## Instance Methods

### send(httpRequest, callback)code »

Specified by: webdriver.http.Client

Parameters

httpRequest`webdriver.http.Request`
callback`function(Error, webdriver.http.Response=): ?`